数据提供商: Crustdata
根据一个筛选条件搜索职位信息(Crustdata)
$0.009 / 条结果在 40 秒内响应
按一个原生字段条件查找职位:职位名称、分类、地点或招聘雇主;查询必须只指定其中一个条件,并可选择每条职位返回的字段。每条招聘信息都会包含雇主的基本信息以及完整的招聘说明。每页显示20条列表,通过游标进行分页浏览。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the Crustdata endpoint /job/search on Glasser.bash
glasser run -p crustdata -e '/job/search' -i '{"limit":5,"filters":{"type":"(.)","field":"job_details.title","value":"engineer"}}' --endpoint-version 2使用接口版本 2。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"crustdata","endpoint":"/job/search","input":{"limit":5,"filters":{"type":"(.)","field":"job_details.title","value":"engineer"}},"endpoint_version":2}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 2,运行前请确认当前价格。
第 2 步尝试一个具体任务
筛选工作机会时,可以将可用职位与你的技能比较,找出值得进一步审阅的机会。
复制此提示词到你的 Agent,评估与你技能匹配的职位。
提示词
Use crustdata:/job/search on Glasser.
Find roles matching my skills in the returned job data and explain each match.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"filters"
],
"properties": {
"limit": {
"type": "integer",
"maximum": 20,
"minimum": 1
},
"cursor": {
"type": "string",
"maxLength": 4096,
"minLength": 1
},
"fields": {
"type": "array",
"items": {
"type": "string",
"maxLength": 512,
"minLength": 1
},
"maxItems": 20
},
"filters": {
"type": "object",
"required": [
"field",
"type",
"value"
],
"properties": {
"type": {
"enum": [
"=",
"!=",
"<",
"=<",
">",
"=>",
"in",
"not_in",
"(.)",
"[.]"
],
"type": "string"
},
"field": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"value": {
"anyOf": [
{
"anyOf": [
{
"type": "string"
},
{
"anyOf": [
{
"type": "number"
},
{
"enum": [
"Infinity",
"-Infinity",
"NaN"
],
"type": "string"
}
]
},
{
"type": "boolean"
}
]
},
{
"type": "array",
"items": {
"anyOf": [
{
"type": "string"
},
{
"anyOf": [
{
"type": "number"
},
{
"enum": [
"Infinity",
"-Infinity",
"NaN"
],
"type": "string"
}
]
},
{
"type": "boolean"
}
]
},
"maxItems": 20,
"minItems": 1
}
]
}
},
"additionalProperties": false
}
},
"additionalProperties": false
}json
{
"limit": 5,
"filters": {
"type": "(.)",
"field": "job_details.title",
"value": "engineer"
}
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 每条返回结果 | 按返回的每条结果计费。 没有返回数据时不收费。 | $0.009 |
|---|---|---|
| 每次运行的费用上限 | 总费用不会超过此金额。 | $0.40 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |